let baseUrl = 'http://192.168.1.129:8802/api/'

//图表1
getIndicators()
setInterval(()=>{
  getIndicators()
}, 1000)
function getIndicators(){
  $.ajax({
    type :"POST",
    url : baseUrl + "/Base/PostRediusTest",
    dataType :"json",
    contentType: "application/json",
    data: JSON.stringify( ["PRO_EFF","PER_EFF","ACT_EFF"]),
    success :function(res) {
      document.getElementById('pro_eff').innerText = res.data[0].Value
      document.getElementById('per_eff').innerText = res.data[1].Value
      document.getElementById('act_eff').innerText = res.data[2].Value
    },
  });
}

//图表2
getProcess()
function getProcess(){
  let mycharts = echarts.init(document.getElementById('act_torque'))
  let name = ['电机功率1', '电机功率2', '电机功率3', '电机功率4', '电机功率5']
  let option = {
    grid: {
      top: 10,
      right: 10,
      bottom: 0,
      left: 10,
      containLabel: true
    },
    xAxis: {
      show: false
    },
    yAxis: [{
      show: true,
      inverse: true,
      data: name,
      axisLine: {
        show: false
      },
      splitLine: {
        show: false
      },
      axisTick: {
        show: false
      },
      axisLabel: {
        show: true,
        interval: 0,
        color: '#fff',
        fontSize: 12
      },
    }, {
      triggerEvent: true,
      show: true,
      inverse: true,
      data: name,
      axisLine: {
          show: false
      },
      splitLine: {
          show: false
      },
      axisTick: {
          show: false
      },
      axisLabel: {
        interval: 0,
        shadowOffsetX: '-20px',
        color: '#F5BD5F',
        align: 'left',
        verticalAlign: 'center',
        lineHeight: 40,
        fontSize: 14,
        formatter: function(value) {
          return Number(value) ? value : 0
        },
      }
    }],
    series: [{
      type: 'bar',
      data: [0,0,0,0,0],
      showBackground: true,
      backgroundStyle:{
        color: '#0C2648'
      },
      yAxisIndex: 0,
      barWidth: 4,
      itemStyle: {
        color: new echarts.graphic.LinearGradient(1, 0, 0, 0, [
          { offset: 1, color: '#FC962C' },
          { offset: 0, color: '#F5BE60' }
        ])
      },
    }]
  };
  mycharts.setOption(option)
  setInterval(function () {
    $.ajax({
      type :"POST",
      url : baseUrl + "/Base/PostRediusTest",
      dataType :"json",
      contentType: "application/json",
      data: JSON.stringify( ["ACT_TORQUE1","ACT_TORQUE2","ACT_TORQUE3","ACT_TORQUE4", "ACT_TORQUE5"]),
      success :function(res) {
        let data = []
        name.forEach((item, i)=>{
          data.push(res.data[i].Value)
        })
        mycharts.setOption({
          yAxis: [
            {},{
              data: data
            }
          ],
          series: [
            {
              data: data
            }
          ]
        });
      },
    });
  }, 1000);
}

//图表3
getTorque()
function getTorque(){
  let mycharts = echarts.init(document.getElementById('torque'))
  let xAxis = []
  let data1 = []
  let data2 = []
  let dataScatter = []
  let color = ['#2E86DF', '#F5BD5F'];
  let option = {
    color: color,
    grid:{
      top: 40,
      right: 10,
      bottom: 0,
      left: 10,
      containLabel: true
    },
    legend:{
      right: 0,
      icon: 'rect',
      itemWidth: 20,
      itemHeight: 2,
      textStyle:{
        color: '#fff'
      }
    },
    xAxis: {
      type: 'category',
      data: xAxis,
      axisLine: {
        show: false
      },
      axisLabel: {
        color: '#fff'
      },
      splitLine: {
        show: false
      },
      axisTick: {
        show: false
      },
    },
    yAxis: {
      type: 'value',
      axisLine: {
        show: false,
      },
      axisLabel: {
        color: '#fff'
      },
      splitLine: {
        show: true,
        lineStyle:{
          color: 'rgba(50, 71, 106, .4)'
        }
      },
      axisTick: {
        show: false
      },
    },
    series: [
      {
        name: '转矩1',
        data: data1,
        type: 'bar',
        stack: '1',
        barGap: 10,
        barWidth: 2,
        label: {
          show: true,
          position: 'top',
          color: color[0],
          fontFamily: 'DIN',
          fontWeight: 500,
          fontSize: 14
        }
      },
      {
        name: '转矩2',
        data: data2,
        type: 'bar',
        stack: '2',
        barGap: 10,
        barWidth: 2,
        label: {
          show: true,
          position: 'top',
          color: color[1],
          fontFamily: 'DIN',
          fontWeight: 500,
          fontSize: 14
        }
      },{
        type: 'scatter',
        stack: '1',
        symbolOffset: [-11, 0], //相对于原本位置的偏移量
        data: dataScatter,
        label: {
            normal: {
                show: false,
            }
        },
        symbolSize: 6,
        itemStyle: {
            normal: {
               color: color[0]
            }
        },
        z: 2
      },{
        type: 'scatter',
        stack: '2',
        symbolOffset: [11, 0], //相对于原本位置的偏移量
        data: dataScatter,
        label: {
          normal: {
            show: false,
          }
        },
        symbolSize: 6,
        itemStyle: {
          normal: {
            color: color[1]
          }
        },
        z: 2
      }
    ]
  };
  mycharts.setOption(option)
  setInterval(()=>{
    $.ajax({
      type :"POST",
      url : baseUrl + "/Base/PostRediusTest",
      dataType :"json",
      contentType: "application/json",
      data: JSON.stringify( ["TORQUE1", "TORQUE2"]),
      success :function(res) {
        if(xAxis.length === 6){
          data1.shift()
          data2.shift()
          xAxis.shift()
          dataScatter.shift() 
        }
        data1.push(res.data[0].Value)
        data2.push(res.data[1].Value)
        dataScatter.push(0)
        let now = new Date();
        xAxis.push(now.getHours() + ':' + now.getMinutes() + ':' + now.getSeconds())
        mycharts.setOption({
          xAxis:{
            data: xAxis
          },
          series: [
            {
              data: data1
            },{
              data: data2
            },{
              data: dataScatter
            },{
              data: dataScatter
            }
          ]
        });
      },
    });
  }, 1000)
}

/* 右侧图表 */
/* 右侧第一个 */
getRight1()
function getRight1 () {
  let rightChart1 = echarts.init(document.getElementById('right1'));
  let legendData = ['转矩1', '转矩2']
  let xData = []
  let seriesData1 = []
  let seriesData2 = []
  let rightOption1 = {
    // tooltip: {
    //   trigger: 'axis'
    // },
    legend: {
      data: legendData,
      textStyle: {
        color:'#fff'
      },
      right: 0,
    },
    grid: {
      top: 30,
      left: 35,
      bottom: 40,
      right: 20,
    },
    xAxis: {
      type: 'category',
      // boundaryGap: false,//这里表示是否补齐空白
      axisTick: {
        show: false
      },
      axisLabel: {
        color: '#fff'
      },
      axisLine: {
        show: false,//不显示坐标轴线
      },
      data: xData,
    },
    yAxis: [{
      type: 'value',
      axisTick: {
        show:false
      },
      axisLabel: {
        color: '#fff'
      },
      axisLine: {
        show: false,//不显示坐标轴线
      },
      splitLine: {
        lineStyle: {
          color: '#2A3F61'
        }
      }
    }],
    series: [
      {
        name: '转矩1',
        data: seriesData1,
        type: 'line',
        smooth: true,
        symbol: 'circle',
        symbolSize: 2,
        hoverAnimation: false,
        areaStyle: {
          opacity: 0.1,
        },
        itemStyle: {
          color: '#FEB767'
        }
      },
      {
        name: '转矩2',
        data: seriesData2,
        type: 'line',
        smooth: true,
        symbol: 'circle',
        symbolSize: 2,
        hoverAnimation: false,
        areaStyle: {
          opacity: 0.1,
        },
        itemStyle: {
          color: '#2978C8'
        }
      }
    ]
  }
  rightChart1.setOption(rightOption1)
  setInterval(()=>{
    $.ajax({
      type :"POST",
      url : baseUrl + "/Base/PostRediusTest",
      dataType :"json",
      contentType: "application/json",
      data: JSON.stringify( ["TORQUE1", "TORQUE2"]),
      success :function(res) {
        if(xData.length === 6){
          seriesData1.shift()
          seriesData2.shift()
          xData.shift()
        }
        seriesData1.push(res.data[0].Value)
        seriesData2.push(res.data[1].Value)
        // let now = new Date();
        xData.push(/* now.getHours() + ':' + now.getMinutes() + ':' + now.getSeconds() */ dayjs(new Date()).format('HH:mm:ss'))
        rightChart1.setOption({
          xAxis:{
            data: xData
          },
          series: [
            {
              data: seriesData1
            },{
              data: seriesData2
            }
          ]
        });
      },
    });
  }, 1000)
}


/* 右侧第二个 */
getRight2()
function getRight2() {
  let rightChart2 = echarts.init(document.getElementById('right2'));
  let xData = ['电机转矩1', '电机转矩2', '电机转矩3', '电机转矩4', '电机转矩5']
  let valueData = []
  let rightOption2= {
    // tooltip: {
    //   trigger: 'axis',
    //   axisPointer: {
    //     type: 'none'
    //   }
    // },
    xAxis: {
      show: false,
      type: 'value',
      boundaryGap: [0, 0.01]
    },
    yAxis: [
      {
        type: 'category',
        inverse: true,
        splitLine: {
          show: false
        },
        axisLine: {
          show: false
        },
        axisTick: {
          show: false
        },
        axisLabel: {
          color: '#fff',
        },
        data: xData
      },
      {
        type: 'category',
        axisLine: {
          show: false
        },
        axisTick: {
          show: false
        },
        axisLabel: {
          show: true,
          inside: false,
          color: '#F5BD5F',
        },
        splitArea: {
          show: false
        },
        splitLine: {
          show: false
        },
        data: valueData
      }
  ],
    grid: {
      top: 0,
      left: 80,
      bottom: 10,
      right: 60,
    },
    series: [
      {
        barWidth: 4,
        showBackground: true,
        type: 'bar',
        itemStyle: {
          color: new echarts.graphic.LinearGradient(0, 0, 1, 0, [{
            offset: 0,
            color: '#F1912E'
          }, {
            offset: 1,
            color: "#ECB85F"
          }], false),
        },
        data: valueData
      }
    ]
  }
  rightChart2.setOption(rightOption2);
  setInterval(function () {
    $.ajax({
      type :"POST",
      url : baseUrl + "/Base/PostRediusTest",
      dataType :"json",
      contentType: "application/json",
      data: JSON.stringify( ["ACT_TORQUE1","ACT_TORQUE2","ACT_TORQUE3","ACT_TORQUE4", "ACT_TORQUE5"]),
      success :function(res) {
        let data = []
        xData.forEach((item, i)=>{
          data.push(res.data[i].Value)
        })
        rightChart2.setOption({
          yAxis: [
            {},{
              data: data
            }
          ],
          series: [
            {
              data: data
            }
          ]
        });
      },
    });
  }, 1000);
}

/* 右侧第三个 */
getRight3()
function getRight3() {
  let alarm = document.getElementById('alarm')
  let alarmData = document.getElementById('alarmData')
  let count = 0
  let items = []
  $.ajax({
    type :"POST",
    url : baseUrl + "/HMI/HMI_GstAlarms",
    dataType :"json",
    contentType: "application/json",
    data: JSON.stringify({Lang: 'Main_Language_ZH', AlarmFormat: '报警时间 报警文本', Variables: ["ALARM1","ALARM2"] }),
    success :function(res) {
      console.log(res.data)
      debugger
      // let items = res.data.map(item => ({
      //   Date: dayjs(new Date()).format('YYYY-MM-DD HH:mm:ss'),
      //   ...item
      // }))
    },
  });
}
